package com.ruoyi.dxp.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dxp.domain.CallLog;
import com.ruoyi.dxp.dto.CalllogAdd;

/**
 * 接口监控Service接口
 * 
 * @author jy
 * @date 2022-11-06
 */
public interface ICallLogService 
{
    /**
     * 查询接口监控
     * 
     * @param uuid 接口监控主键
     * @return 接口监控
     */
    public CallLog selectCallLogByUuid(String uuid);

    /**
     * 查询接口监控列表
     * 
     * @param callLog 接口监控
     * @return 接口监控集合
     */
    public List<CallLog> selectCallLogList(CallLog callLog);

    /**
     * 新增接口监控
     * 
     * @param callLog 接口监控
     * @return 结果
     */
    public AjaxResult insertCallLog(CalllogAdd callLog);

    /**
     * 修改接口监控
     * 
     * @param callLog 接口监控
     * @return 结果
     */
    public int updateCallLog(CallLog callLog);

    /**
     * 批量删除接口监控
     * 
     * @param uuids 需要删除的接口监控主键集合
     * @return 结果
     */
    public int deleteCallLogByUuids(String[] uuids);

    /**
     * 删除接口监控信息
     * 
     * @param uuid 接口监控主键
     * @return 结果
     */
    public int deleteCallLogByUuid(String uuid);
}
